Pango::GlyphInfo Class Reference

A Pango::GlyphInfo represents a single glyph together with positioning information and visual attributes. More...

`#include <pangomm/glyph.h>`

## Public Member Functions

| GlyphInfo ()
Glyph | get_glyph () const
| Gets the glyph itself. More...
GlyphGeometry | get_geometry () const
| Gets the positional information about the glyph. More...
GlyphVisAttr | get_attr () const
| Gets the visual attributes of the glyph. More...
PangoGlyphInfo* | gobj ()
| Provides access to the underlying C GObject. More...
const PangoGlyphInfo* | gobj () const
| Provides access to the underlying C GObject. More...

## Protected Attributes

PangoGlyphInfo | gobject_

## Related Functions

(Note that these are not member functions.)
Pango::GlyphInfo& | wrap (PangoGlyphInfo* object)
const Pango::GlyphInfo& | wrap (const PangoGlyphInfo* object)

## Detailed Description

A Pango::GlyphInfo represents a single glyph together with positioning information and visual attributes.

## Constructor & Destructor Documentation

Pango::GlyphInfo::GlyphInfo | ( |  | ) |

## Member Function Documentation

GlyphVisAttr Pango::GlyphInfo::get_attr | ( |  | ) | const

Gets the visual attributes of the glyph.

Returns
  A GlyphVisAttr structure.

GlyphGeometry Pango::GlyphInfo::get_geometry | ( |  | ) | const

Gets the positional information about the glyph.

Returns
  A GylphGeometry object.

Glyph Pango::GlyphInfo::get_glyph | ( |  | ) | const

Gets the glyph itself.

Returns
  The glyph.

PangoGlyphInfo* Pango::GlyphInfo::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const PangoGlyphInfo* Pango::GlyphInfo::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## Friends And Related Function Documentation

Pango::GlyphInfo& wrap | ( | PangoGlyphInfo * | object | ) |

related

const Pango::GlyphInfo& wrap | ( | const PangoGlyphInfo * | object | ) |

related

## Member Data Documentation

PangoGlyphInfo Pango::GlyphInfo::gobject_

protected